Get Storage Container

Get Storage Container
Get specified Datastore or Datastore Cluster.

Get specified Datastore or Datastore Cluster.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/storageContainers/{storageContainerUrn}
COPY
Path Parameters
string
storageContainerUrn
Required

storageContainerUrn


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns StorageContainer of type(s) application/json;version=9.1.0
{
    "id": "string",
    "name": "string",
    "datastoreType": "string",
    "isDatastoreCluster": false,
    "isEnabled": false,
    "isDeleted": false,
    "moref": "string",
    "vcRef": {
        "name": "string",
        "id": "string"
    },
    "totalStorageMb": 0,
    "usedStorageMb": 0,
    "provisionedStorageMb": 0,
    "iopsCapacity": 0,
    "isDistributed": false,
    "distributionHealth": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/storageContainers/{storageContainerUrn}